{
	"name": "form/nc/nc-work-center/column/product_material.json",
	"column": [
		{
			"name": "",
			"width": 70,
			"variable": "idx",
			"link_field-": "prma.record_id",
			"record_type": "estimated"
		},
		{
			"name": "Material",
			"width": 200,
			"field": "prma.material_id"
		},
		{
			"name": "Name",
			"width": 200,
			"field": "pr.name"
		},
		{
			"name": "Need",
			"width": 70,
			"field": "prma.amount"
		},
		{
			"name": "Unit",
			"width": 50,
			"field": "prma.unit"
		},
		{
			"name": "Can start",
			"width": 90,
			"cell_class_rules": {
				"bold red": "x <= 0"
			},
			"field": "prma.calc.material_can_start",
			"format": "%'.0f"
		},
		{
			"name": "Collected",
			"width": 85,
			"field": "prma.calc.collected"
		},
		{
			"name": "Balance",
			"width": 75,
			"field": "pr.json_data.stock_balance",
			"format": "%'.2f"
		},
		{
			"name": "Location",
			"width": 85,
			"field": "prma.calc.location"
		},
		{
			"name": "Batch",
			"width": 85,
			"field": "prma.json_data.material_batch"
		},
		{
			"name": "Phase",
			"width": 65,
			"field": "prma.work_phase_number"
		},
		{
			"name": "Amount 2",
			"width": 85,
			"field": "prma.json_data.quantity__unit_2",
			"format": "%'.2f"
		},
		{
			"name": "Unit 2",
			"width": 65,
			"field": "prma.json_data.unit_2"
		},
		{
			"name": "State",
			"width": 55,
			"field": "prma.product_material_state"
		},
		{
			"name": "Row",
			"width": 55,
			"field": "prma.row_number"
		}
	]
}
